<div class="test-session-info" ng-class="{ _logs: $ctrl.logsView }">
    <section class="test-session-info__section test-session-info__video"
        ng-switch="$ctrl.videoArtifact">
        <div class="test-session-info__video-wrapper _empty"
            ng-switch-when="">
            <no-video-placeholder class="test-session-info__video-placeholder"
                is-vnc="$ctrl.isVnc"></no-video-placeholder>
        </div>
        <div class="test-session-info__video"
            ng-switch="$ctrl.videoArtifact.type"
            ng-switch-default>
            <div ng-switch-when="vnc"
                ng-switch="$ctrl.videoArtifact.value"
                is-active="$ctrl.session.isActive"
                vnc-player="$ctrl.videoArtifact"
                class="test-session-info__video-wrapper _vnc">
                <no-video-placeholder ng-switch-when="" is-vnc="true"></no-video-placeholder>
                <div ng-switch-default class="vnc-player">
                    <div class="vnc-loader" ng-if="$ctrl.videoArtifact.isLoading"></div>
                    <i ng-click="$ctrl.toggleVNCFullScreen($event)" class="material-icons video-control">fullscreen</i>
                </div>
            </div>
            <div ng-switch-when="video"
                ng-switch="$ctrl.videoArtifact.url"
                class="test-session-info__video-wrapper _video">
                <no-video-placeholder ng-switch-when=""></no-video-placeholder>
                <video ng-switch-default
                    class="test-session-info__video-player"
                    preload="auto"
                    controls>
                    <source ng-src="{{ $ctrl.videoArtifact.url }}" type="video/mp4">
                    Your browser does not support the video tag.
                </video>
            </div>
        </div>
    </section>
    <section class="test-session-info__section test-session-info__meta">
        <div class="test-session-info__meta-section _left">
            <div class="test-session-info__meta-item _platform"
                ng-if="$ctrl.session.formattedValues.platformName">
                <div class="test-session-info__meta-item-label">
                    <span class="test-session-info__meta-item-label-icon material-icons">layers</span>
                    <span class="test-session-info__meta-item-label-text">Platform</span>
                </div>
                <div class="test-session-info__meta-item-value">
                    <span ng-if="$ctrl.session.formattedValues.platformName"
                        title="{{$ctrl.session.formattedValues.platformName}}"
                        class="test-session-info__meta-item-value-icon platform-icon {{$ctrl.session.formattedValues.platformName}}"></span>
                    <span ng-if="$ctrl.session.platformVersion"
                        class="test-session-info__meta-item-value-text">{{$ctrl.session.platformVersion}}</span>
                </div>
            </div>
            <div class="test-session-info__meta-item _device"
                ng-if="$ctrl.session.formattedValues.deviceName">
                <div class="test-session-info__meta-item-label">
                    <span class="test-session-info__meta-item-label-icon material-icons">phone_iphone</span>
                    <span class="test-session-info__meta-item-label-text">Device</span>
                </div>
                <div class="test-session-info__meta-item-value">
                    <span class="test-session-info__meta-item-value-text"
                        title="{{$ctrl.session.formattedValues.deviceName}}">
                        {{$ctrl.session.formattedValues.deviceName}}
                    </span>
                </div>
            </div>
            <div class="test-session-info__meta-item _browser"
                ng-if="$ctrl.session.formattedValues.browserIcon">
                <div class="test-session-info__meta-item-label">
                    <span class="test-session-info__meta-item-label-icon material-icons">language</span>
                    <span class="test-session-info__meta-item-label-text">Browser</span>
                </div>
                <div class="test-session-info__meta-item-value">
                    <span ng-if="$ctrl.session.formattedValues.browserIcon"
                        class="test-session-info__meta-item-value-icon platform-icon {{$ctrl.session.formattedValues.browserIcon}}"></span>
                    <span ng-if="$ctrl.session.formattedValues.browserVersion"
                        title="{{$ctrl.session.formattedValues.browserVersion}}"
                        class="test-session-info__meta-item-value-text">{{$ctrl.session.formattedValues.browserVersion}}</span>
                </div>
            </div>
        </div>
        <div class="test-session-info__meta-section _right">
            <div class="test-session-info__meta-item _started"
                ng-if="$ctrl.session.startedAt">
                <div class="test-session-info__meta-item-label">
                    <span class="test-session-info__meta-item-label-icon material-icons">access_time</span>
                    <span class="test-session-info__meta-item-label-text">Started</span>
                </div>
                <div class="test-session-info__meta-item-value">
                    <span class="test-session-info__meta-item-value-text">{{ $ctrl.session.startedAt | date: 'HH:mm dd MMM yyyy' }}</span>
                </div>
            </div>
            <div class="test-session-info__meta-item _duration"
                ng-if="$ctrl.session.durationInSeconds">
                <div class="test-session-info__meta-item-label">
                    <span class="test-session-info__meta-item-label-icon material-icons">timer</span>
                    <span class="test-session-info__meta-item-label-text">Duration</span>
                </div>
                <div class="test-session-info__meta-item-value">
                    <duration class="test-session-info__meta-item-value-tex"
                        name="sessionDuration"
                        duration-in-seconds="$ctrl.session.durationInSeconds">
                        <span ng-show="minutes">{{minutes}}m</span> <span ng-show="seconds">{{seconds}}s</span><span ng-show="!minutes && !seconds">&lt;1s</span>
                    </duration>
                </div>
            </div>
        </div>
    </section>
    <section class="test-session-info__section test-session-info__artifacts"
        ng-if="$ctrl.session.artifacts.length">
        <div class="test-session-info__artifacts-label">
            <span class="test-session-info__artifacts-label-icon material-icons">link</span>
            <div class="test-session-info__artifacts-label-text">Artifacts</div>
        </div>
        <ul class="test-session-info__artifacts-list">
            <li class="test-session-info__artifacts-item"
                ng-repeat="sessionArtifact in $ctrl.session.artifacts">
                <a class="test-session-info__artifacts-item-link"
                    href="{{::sessionArtifact.url}}"
                    target="_blank"
                    ng-mouseenter="sessionArtifact.isHovered = true"
                    ng-mouseleave="sessionArtifact.isHovered = false">
                    {{::(sessionArtifact.shortName || sessionArtifact.name)}}
                    <info-popup info-str="sessionArtifact.name"
                        ng-if="sessionArtifact.shortName && sessionArtifact.isHovered"></info-popup>
                </a>
            </li>
        </ul>
    </section>
    <section class="test-session-info__section test-session-info__relates"
        ng-if="$ctrl.session.tests.length">
        <div class="test-session-info__relates-title">Related tests</div>
        <ul class="test-session-info__relates-list">
            <li class="test-session-info__relates-list-item"
                ng-repeat="test in $ctrl.session.tests"
                ng-class="$ctrl.getStatusClass(test)">
                <a ui-sref="#"
                    target="_blank"
                    ui-state="'tests.runInfo'"
                    ui-state-params="::$ctrl.goToTestParams(test.id)"
                    class="test-session-info__relates-list-item-link">{{test.name}}</a>
            </li>
        </ul>
    </section>
</div>
